from setuptools import setup, find_packages

setup(
    name='gocept.support',
    version='0.7.6',
    author='gocept',
    author_email='mail@gocept.com',
    description="""\
Tools for managing support by integrating Nagios, RT, Asterisk and a set of
iCal files.
""",
    packages=find_packages('src'),
    package_dir={'': 'src'},
    include_package_data=True,
    zip_safe=False,
    license='gocept proprietary',
    namespace_packages=['gocept'],
    install_requires=[
        'icalendar',
        'mock',
        'python-dateutil',
        'python-nagext',
        'pyst',
        'pytz',
        'setuptools',
        'zope.sendmail',
        'Chameleon',
    ],
    entry_points="""
        [console_scripts]
        check_assigned_staff = gocept.support.nagios:check_assigned_staff
        check_sla_tickets = gocept.support.sla:check_sla_tickets
        create_ical_for_slas = gocept.support.sla:create_ical_for_slas
        create_ical_for_staff = gocept.support.staff:create_ical_for_staff
        emergency_hotline = gocept.support.hotline:emergency_call
        sla_report = gocept.support.sla:sla_report
        get_support_number = gocept.support.notification:get_support_number
        notify_support = gocept.support.notification:notify_support_main
        notify_upcoming_periods = gocept.support.sla:notify_upcoming_periods
        process_notification = gocept.support.nagios:process_notification
        process_escalation = gocept.support.notification:escalation
        reopen_stalled_tickets = gocept.support.rt:reopen_stalled_tickets
        set_response_deadlines = gocept.support.sla:set_response_deadlines
        support_email = gocept.support.supportmail:incoming_support_mail_main
        supporter_statistics = gocept.support.staff:get_statistics
        staff_generate_month = gocept.support.staff:generate_month_main
    """)
